/*
 * Class EV_POS_INFO
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_78 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_78 [] = {0xFF01,1551,77,0xFFFF};
static const EIF_TYPE_INDEX egt_2_78 [] = {0xFF01,77,0xFFFF};
static const EIF_TYPE_INDEX egt_3_78 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_78 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_78 [] = {0xFF01,77,0xFFFF};
static const EIF_TYPE_INDEX egt_6_78 [] = {0xFF01,77,0xFFFF};
static const EIF_TYPE_INDEX egt_7_78 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_78 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_78 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_78 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_78 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_78 [] = {0xFF01,77,0xFFFF};


static const struct desc_info desc_78[] = {
	{EIF_GENERIC(NULL), 1061, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_78), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_78), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_78), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_78), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_78), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_78), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_78), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_78), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_78), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_78), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_78), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_78), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x9B /*77*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_78), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1062, 4},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1063, 8},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1064, 12},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1065, 16},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1066, 20},
	{EIF_NON_GENERIC(0x06CB /*869*/), 1067, 24},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 1068, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 1069, 1},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 1070, 2},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 1071, 3},
	{EIF_GENERIC(NULL), 1072, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1073, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1074, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1075, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1076, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1077, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1078, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1056, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1057, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1058, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1059, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1060, 0xFFFFFFFF},
};
void Init78(void)
{
	IDSC(desc_78, 0, 77);
	IDSC(desc_78 + 1, 1, 77);
	IDSC(desc_78 + 32, 1003, 77);
}


#ifdef __cplusplus
}
#endif
